Index: drvconn.c
===================================================================
RCS file: /cvsroot/psqlodbc/psqlodbc/drvconn.c,v
retrieving revision 1.48
diff -u -r1.48 drvconn.c
--- drvconn.c	19 Sep 2005 13:31:58 -0000	1.48
+++ drvconn.c	2 Nov 2005 10:42:37 -0000
@@ -257,14 +257,19 @@
 		 */
 		strncpy_null(szConnStrOut, connStrOut, cbConnStrOutMax);
 
-		if (len >= cbConnStrOutMax)
+		if (cbConnStrOutMax == 0)
+			szConnStrOut = NULL;	
+		else
 		{
-			int			clen;
+			if (len >= cbConnStrOutMax)
+			{
+				int			clen;
 
-			for (clen = strlen(szConnStrOut) - 1; clen >= 0 && szConnStrOut[clen] != ';'; clen--)
-				szConnStrOut[clen] = '\0';
-			result = SQL_SUCCESS_WITH_INFO;
-			CC_set_error(conn, CONN_TRUNCATED, "The buffer was too small for the ConnStrOut.");
+				for (clen = strlen(szConnStrOut) - 1; clen >= 0 && szConnStrOut[clen] != ';'; clen--)
+					szConnStrOut[clen] = '\0';
+				result = SQL_SUCCESS_WITH_INFO;
+				CC_set_error(conn, CONN_TRUNCATED, "The buffer was too small for the ConnStrOut.");
+			}
 		}
 	}
 

